petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLogView

Prints a summary of the logging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogView(PetscViewer viewer)

Collective over MPI_Comm Many br

### Input Parameter

viewer -an ASCII viewer Many br

### Options Database Keys

| -log_view [:filename] | - Prints summary of log information Many br
| -log_view :filename.py:ascii_info_detail | - Saves logging information from each process as a Python file Many br
| -log_view :filename.xml:ascii_xml | - Saves a summary of the logging information in a nested format, use a browser to open this file, for example on Many brApple MacOS systems use open -a Safari filename.xml Many br
| -log_all | - Saves a file Log.rank for each MPI process with details of each step of the computation Many br
| -log_trace [filename] | - Displays a trace of what each process is doing Many br

### Notes

It is possible to control the logging programatically but we recommend using the options database approach whenever possible Many brBy default the summary is printed to stdout. Many br

Before calling this routine you must have called either PetscLogDefaultBegin() or PetscLogNestedBegin() Many br

If PETSc is configured with --with-logging=0 then this functionality is not available Many br

The nested XML format was kindly donated by Koos Huijssen and Christiaan M. Klaij MARITIME RESEARCH INSTITUTE NETHERLANDS Many br

Many br

### Keywords

log, dump, print

### See Also

PetscLogDefaultBegin(), PetscLogDump()

Level:beginner
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages